Release of the Deprecated Features Plan for ArcGIS 10.5.1

1894
3
06-27-2017 03:39 AM
Esri Contributor
0 3 1,894
This blog post provides the latest updates regarding deprecated features in the recent release of ArcGIS 10.5.1.

With each release, Esri assesses and adjusts the products and functionality supported in the ArcGIS Platform based on customer needs and technological trends. The purpose of the Deprecated Features for ArcGIS document is to provide as much advanced notice as possible regarding these changes.

For more information on Esri's plans for deprecating features, refer to the following PDF document, Deprecated Features for ArcGIS 10.5.1 (this deprecation plan is also available in the following technical article from the Esri Support Knowledge Base). The documentation linked above provides additional information about each note below, in addition to recommendations of alternative workflows and applications. Information from previous releases (10.4 and 10.5) is also included in the link above.

Here are some of the major changes in ArcGIS 10.5.1:
  • ArcGIS 10.5.1 is the last release to support Visual Studio 2013 for the ArcObjects SDK.
  • In the near future, the cluster functionality in the ArcGIS Server component of ArcGIS Enterprise will be deprecated. Instead, it is recommended to create separate ArcGIS Server sites where multiple clusters would have been used previously.
  • ArcGIS Enterprise 10.5.1 will stop bundling the portalpy module in favor of the ArcGIS API for Python. No further development is planned for this module.
  • ArcGIS 10.5.1 will be the last release to support the PostgreSQL 9.3.x series of releases, DB2 versions 9.7 and 10.1, and the ST_Raster data type for Oracle, SQL Server, and PostgreSQL.
  • ArcGIS 10.5.1 is the last release to support anything other than the Data Store product as a data store for a Hosting Server.

Note: The deprecation of cluster functionality does not affect the ability to create multi-machine sites. ArcGIS Server sites with multiple machines continue to be fully supported.
Gregory L. - Online Support Resources
3 Comments
New Contributor II

Is there an ArcObjects_SDK_for_NET_Framework download for Arcgis 10.5.1? The one available ArcObjects_SDK_for_NET_Framework_105_154038 DOES NOT WORK in Microsoft VS 2015?

Esri Contributor

Hi Elizabeth,

Can you clarify your environment? I read on another customer's issue that was similar to this, where they stated that "the combination of ArcGIS 10.5.1, Microsoft Visual Studio 2015 Community, and ArcObjects SDK for .NET Framework 10.5.1.156291 worked" and that this resolved the error.

Are you able to check these? Either VS 2015 Community, Professional, or Premium editions should be fine.

New Contributor II

I have ArcGIS Desktop 10.5.1, when I try to install ArcObjects_SDK_for_NET_Framework_105_154038, I get a warning window that in order to complete installation I need  ArcGIS Desktop 10.5, with the .NET Extension Support Feature.  I have Microsoft Visual studio Community 2015.  Any suggestions what the SDK is not intalling in my computer.

About the Author
Originally from Wisconsin, Greg is an avid fan of GIS (and a county collector)! He helps support ArcGIS Pro by developing next-generation map authoring capabilities and writing/editing web help resources.